package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;

public interface HistoryEntry {
    /**
        * Returns the action of the history entry.
     **/
    String getAction();
    /**
        * Returns the content of the history entry.
     **/
    Object getContent();

    /**
     * Returns the type of the MongoDB entry.
     *
     * @return The type of the MongoDB entry.
     */
    MongoDBEntryType getType();

    /**
        * Returns the date of the history entry.
     **/
    String getDate();
}
